# README #

Some batch files for creating and updating iShare in the Cloud instances from the template servers

### How do I get set up? ###

* Get set up with cloned servers based on project requirements
* Clone or otherwise download this repository and extract to the E drive (NOT the D drive as this is likely to be replaced in an upgrade)

### symlinks.bat###

This is designed to recreate the symlinks from directories on the D: drive to their location on the E: drive. It is designed to be run once the program files on the D: drive have been upgraded with a new release.

Once custom ishare files such as the renamed atmycouncil.aspx are created, these can be moved to the E drive (E:\iShareData\config\web) and added to the symlinks.bat file

**This batch file must be run with administrative privileges** 

### bbox.bat ###

This is for calculating the bounding box extent and centroid of a buffered polygon from an OS boundary line dataset. It is designed to be run from studio once the necessary boundaryline data has been downloaded. It outputs two txt files, called bbox.txt and centroid.txt into the folder where the batch file was run from.

It takes three parameters:

 1. The table in the ishare database, eg boundaryline\_ districts
 2. The value of the **name** attribute for the district or other polygon in double quotes, eg "South Derbyshire District"
 3. The value of the buffer you'd like to use in metres
 
_Note that if you need to alter the query that the batch file uses (eg to filter on a different attribute) then you must ensure the command remains on one line._

**There is an existing task within the "Set up boundary data" job to run this, which expects bbox.bat to be in E:\iShareData\Utilities**