#!/usr/bin/python
import os
import sys

# accept parameter as buffer
buffer = int(sys.argv[1])

# obtain extents definition
extents_file = 'E:\\iShareData\\Utilities\\bbox_live.txt'
with open(extents_file) as f:
    content = f.read().splitlines()
arrExtents = content[2].replace(' ','').split(",")
# apply buffer
arrExtents[0] = str(int(arrExtents[0]) - buffer)
arrExtents[1] = str(int(arrExtents[1]) - buffer)
arrExtents[2] = str(int(arrExtents[2]) + buffer)
arrExtents[3] = str(int(arrExtents[3]) + buffer)
# arrExtents[minE, minN, maxE, maxN]	

# obtain centroid, just in case its different from calculated middle of extents
centroid_file = 'E:\\iShareData\\Utilities\\centroid_live.txt'
with open(centroid_file) as f:
    content = f.read().splitlines()
arrCentroid = content[2].replace(' ','').split("|")
# arrCentroid[midE, midN]	

# need to alter startup centroid and extents for mapsources
mapsources_file = 'E:\\iShareData\\Utilities\\mapsources_live.txt'
with open(mapsources_file) as f:
	mapsources = f.read().splitlines()

for mapsource in mapsources:
	source = open(mapsource, 'r')
	source_lines = source.readlines()
	source.close()
	output = open((mapsource + '.output'), 'w')
	for line in source_lines:
		if "<Easting>" in line:
			line = "\t<Easting>" + arrCentroid[0] + "</Easting>\n"
		if "<Northing>" in line:
			line = "\t<Northing>" + arrCentroid[1] + "</Northing>\n"
		if "<MinX>" in line:
			line = "\t<MinX>" + arrExtents[0] + "</MinX>\n"
		if "<MinY>" in line:
			line = "\t<MinY>" + arrExtents[1] + "</MinY>\n"
		if "<MaxX>" in line:
			line = "\t<MaxX>" + arrExtents[2] + "</MaxX>\n"
		if "<MaxY>" in line:
			line = "\t<MaxY>" + arrExtents[3] + "</MaxY>\n"
		output.write("%s" % line)
	output.close()

for mapsource in mapsources:
	os.remove(mapsource)
	os.rename((mapsource + '.output'), mapsource)
	
# need to alter startup centroid for base mapsources
basemapsources_file = 'E:\\iShareData\\Utilities\\basemapsources_live.txt'
with open(basemapsources_file) as f:
	basemapsources = f.read().splitlines()

for mapsource in basemapsources:
	source = open(mapsource, 'r')
	source_lines = source.readlines()
	source.close()
	output = open((mapsource + '.output'), 'w')
	for line in source_lines:
		if "<Easting>" in line:
			line = "\t<Easting>" + arrCentroid[0] + "</Easting>\n"
		if "<Northing>" in line:
			line = "\t<Northing>" + arrCentroid[1] + "</Northing>\n"
		output.write("%s" % line)
	output.close()

for mapsource in basemapsources:
	os.remove(mapsource)
	os.rename((mapsource + '.output'), mapsource)
